Autore Topic: Lista componenti compatibili con Joomla 1.5  (Letto 79096 volte)

Offline bighe

  • Esploratore
  • **
  • Post: 175
  • Sesso: Maschio
    • Mostra profilo
    • Impianti con pannelli radianti e pompe di calore
Lista componenti compatibili con Joomla 1.5
« il: 20 Ago 2007, 09:23:20 »
Volevo aprire una discussione/lista per censire tutti i più importanti componenti/moduli ad oggi compatibili con la nuova versione di Joomla. A me risultano i seguenti:

- Joomlaxplorer (FTP)
- Community Builder (gestione utenti)
- Expose flash gallery (gestione gallerie immagini)
- Virtuemart (catalogo prodotti, e-commerce)
- Joomap (creazione e gestione sitemaps)
- Fireboard (forum)
- Wikibot (collegamento a parole su wikipedia)

Naturalmente sono solo i primi che ho trovato, ce ne sono tanti altri...

Offline thepisu

  • Appassionato
  • ***
  • Post: 369
  • Sesso: Maschio
  • .. still looking for ..
    • Mostra profilo
    • Blog di Stefano Bagnatica
Re: Lista componenti compatibili con Joomla 1.5
« Risposta #1 il: 20 Ago 2007, 09:32:50 »
Advanced search su Joomla Extensions Directory, con opzione compatibilità 1.5:

http://extensions.joomla.org/component/option,com_mtree/task,advsearch2/search_id,15/Itemid,35/

Interessante questo post, però allora iniziamo distinguendo componenti "nativi 1.5" e "compatibili legacy mode"...

- JoomlaComment: compatibile legacy mode previa modifica (allego)

NB: il problema che ho riscontrato in questo componente (e può ripetersi in altri) è che durante l'installazione tenta di caricare anche il suo mambot nella cartella e nel database; il problema è che in Joomla 1.5 la cartella "mambots" è diventata "plugins", così come la tabella "jos_mambots" è diventata "jos_plugins"; ecco la modifica che ho fatto nel file installazione (e di seguito disinstallazione) di questo componente.

[allegato eliminato da un amministratore]

Offline bighe

  • Esploratore
  • **
  • Post: 175
  • Sesso: Maschio
    • Mostra profilo
    • Impianti con pannelli radianti e pompe di calore
Re: Lista componenti compatibili con Joomla 1.5
« Risposta #2 il: 20 Ago 2007, 17:24:03 »
Grazie Thepisu per il post e l'allegato molto interessante!

Offline thepisu

  • Appassionato
  • ***
  • Post: 369
  • Sesso: Maschio
  • .. still looking for ..
    • Mostra profilo
    • Blog di Stefano Bagnatica
Re: Lista componenti compatibili con Joomla 1.5
« Risposta #3 il: 22 Ago 2007, 16:24:15 »
AJAX Shoutbox 1.2
Funzionante in legacy mode con modifiche (allego).

NB: dopo l'installazione configurare da Componenti > Shoutbox > Shoutbox Settings i parametri da me aggiunti "Live Site URL" e "Site Absolute Path".

(aggiornato per risolvere problema codifica UTF-8)

[allegato eliminato da un amministratore]
« Ultima modifica: 26 Ago 2007, 12:33:45 da thepisu »

Offline helius

  • Nuovo arrivato
  • *
  • Post: 24
  • il tuo Farmacista
    • Mostra profilo
    • il tuo Farmacista
Re: Lista componenti compatibili con Joomla 1.5
« Risposta #4 il: 02 Set 2007, 19:20:00 »
Ciao,

scusate ma io ho provato virtuemart e non sono riuscito a farlo funzionare su 1.5 . Sicuri che funzioni?

Offline thepisu

  • Appassionato
  • ***
  • Post: 369
  • Sesso: Maschio
  • .. still looking for ..
    • Mostra profilo
    • Blog di Stefano Bagnatica
Re: Lista componenti compatibili con Joomla 1.5
« Risposta #5 il: 04 Set 2007, 09:36:42 »
scusate ma io ho provato virtuemart e non sono riuscito a farlo funzionare su 1.5 . Sicuri che funzioni?

Per VirtueMart c'è un problema con la legacy mode. Vedi qui:
http://forum.joomla.it/index.php?topic=11332.msg108374#msg108374

Offline thepisu

  • Appassionato
  • ***
  • Post: 369
  • Sesso: Maschio
  • .. still looking for ..
    • Mostra profilo
    • Blog di Stefano Bagnatica
Re: Lista componenti compatibili con Joomla 1.5
« Risposta #6 il: 10 Ott 2007, 10:59:23 »
Joomap

Funzionante in legacy mode con modifiche.
C'erano due problemi: uno dovuto ad una funzione obsoleta non più esistente in Joomla 1.5, che serviva per ottenere la lista delle voci di menu; il secondo un cambiamento nel modo di memorizzare le voci di menu collegate ai contenuti nel database, per cui le sezioni e le categorie non venivano espanse.

Il pacchetto aggiornato è disponibile qui:
http://thepisu.altervista.org/jweb/index.php?option=com_content&view=article&id=75%3Ajoomap-modificato-per-joomla-15&Itemid=23

Offline v1nc3nz0

  • Esploratore
  • **
  • Post: 65
    • Mostra profilo
    • http://vincenzodabronzo.com
Re: Lista componenti compatibili con Joomla 1.5
« Risposta #7 il: 12 Dic 2007, 09:39:16 »
Ho creato due estensioni per entrambe le versioni
MyJSpace
UserTrace

Offline fumocamel

  • Appassionato
  • ***
  • Post: 255
  • Sesso: Maschio
    • Mostra profilo
    • Contabilità Facile
Re: Lista componenti compatibili con Joomla 1.5
« Risposta #8 il: 18 Dic 2007, 17:50:33 »
nel sito di virtuemart dicono che non sono compatibili con joomla 1.5 e che presto pubblicheranno un'altra beta di virtuemart 1.1

Offline thepisu

  • Appassionato
  • ***
  • Post: 369
  • Sesso: Maschio
  • .. still looking for ..
    • Mostra profilo
    • Blog di Stefano Bagnatica
Re: Lista componenti compatibili con Joomla 1.5
« Risposta #9 il: 26 Dic 2007, 22:45:31 »
Per chiarezza: VirtueMart 1.0.x (la versione attuale) non è compatibile con Joomla 1.5; VirtueMart 1.1 (serie in sviluppo, è stata da poco rilasciata la beta2) sarà compatibile con Joomla 1.5, forse nativamente (senza bisogno di Legacy Mode).

Offline Bassfade

  • Nuovo arrivato
  • *
  • Post: 22
    • Mostra profilo
Re: Lista componenti compatibili con Joomla 1.5
« Risposta #10 il: 28 Dic 2007, 12:01:12 »
Per chiarezza: VirtueMart 1.0.x (la versione attuale) non è compatibile con Joomla 1.5; VirtueMart 1.1 (serie in sviluppo, è stata da poco rilasciata la beta2) sarà compatibile con Joomla 1.5, forse nativamente (senza bisogno di Legacy Mode).

Ciao io da poco sono passato a joomla e subito a joomla 1.5 con intezione di utilizzare VIRTUEMART , ma la botta di non compatibilità con la versione stab. di VM. Allora ho installato la versione VM1.1, sto incominciando a metterci mano, ma un template che mi permetta di visualizzare gli inserimenti di vm1.1 su joomla 1.5 dove lo trovo??
aiutatemi, mi anche passato in mente di passare a joomla 1.0 per risolvere il problema , ma mi si stringe il cuore sapendo che c'è joomla 1.5

Offline thepisu

  • Appassionato
  • ***
  • Post: 369
  • Sesso: Maschio
  • .. still looking for ..
    • Mostra profilo
    • Blog di Stefano Bagnatica
Re: Lista componenti compatibili con Joomla 1.5
« Risposta #11 il: 28 Dic 2007, 12:08:00 »
Ciao io da poco sono passato a joomla e subito a joomla 1.5 con intezione di utilizzare VIRTUEMART , ma la botta di non compatibilità con la versione stab. di VM. Allora ho installato la versione VM1.1, sto incominciando a metterci mano, ma un template che mi permetta di visualizzare gli inserimenti di vm1.1 su joomla 1.5 dove lo trovo??
aiutatemi, mi anche passato in mente di passare a joomla 1.0 per risolvere il problema , ma mi si stringe il cuore sapendo che c'è joomla 1.5

1) VM 1.1 è in BETA e non è assolutamente pronto per l'uso in siti di produzione, ci vorrà ancora qualche mese

2) i template Joomla non c'entrano nulla con le funzionalità di VirtueMart, cosa intendi con "visualizzare gli inserimenti di vm1.1"???

Offline Bassfade

  • Nuovo arrivato
  • *
  • Post: 22
    • Mostra profilo
Re: Lista componenti compatibili con Joomla 1.5
« Risposta #12 il: 28 Dic 2007, 12:53:48 »
Ciao io da poco sono passato a joomla e subito a joomla 1.5 con intezione di utilizzare VIRTUEMART , ma la botta di non compatibilità con la versione stab. di VM. Allora ho installato la versione VM1.1, sto incominciando a metterci mano, ma un template che mi permetta di visualizzare gli inserimenti di vm1.1 su joomla 1.5 dove lo trovo??
aiutatemi, mi anche passato in mente di passare a joomla 1.0 per risolvere il problema , ma mi si stringe il cuore sapendo che c'è joomla 1.5

1) VM 1.1 è in BETA e non è assolutamente pronto per l'uso in siti di produzione, ci vorrà ancora qualche mese

2) i template Joomla non c'entrano nulla con le funzionalità di VirtueMart, cosa intendi con "visualizzare gli inserimenti di vm1.1"???

Acc.... allora mi consigli comunque di prendere mano con VM1.1 attendendo una versione pronta, o ripartire da VM1.0.x ritornando ad una versione di joomla old cosi da realizzare un sito funzionante??? ma poi dovrei rifarlo in modo totale ripassando a joomla 1.5 + VM1.1??

Premetto di essere profano in merito, e mi scuso per le cavolate che scrivo, ma se inserisco articoli categorie ecc e le pubblico come devo fare per visualizzarle sul template, cosa devo fare in admin per far succedere questo????

scusa!!! sono stato un pochino più chiaro???? spero!!!

Offline Bonehead

  • Nuovo arrivato
  • *
  • Post: 43
    • Mostra profilo
Re: Lista componenti compatibili con Joomla 1.5
« Risposta #13 il: 16 Gen 2008, 20:55:34 »
A proposito di Fireboard, si può fare un Porting degli utenti e dei topic di PHpbb2??

Offline thepisu

  • Appassionato
  • ***
  • Post: 369
  • Sesso: Maschio
  • .. still looking for ..
    • Mostra profilo
    • Blog di Stefano Bagnatica
Re: Lista componenti compatibili con Joomla 1.5
« Risposta #14 il: 20 Gen 2008, 23:02:42 »
Al momento, consiglierei di realizzare un bel sito Joomla 1.0 + VirtueMart 1.0, e personalizzarselo per bene... A quel punto, se le proprie esigenze sono esaudite, non sarà necessario per un bel po' fare la migrazione...

Offline TH3WiZARD

  • Esploratore
  • **
  • Post: 126
  • Sesso: Maschio
    • Mostra profilo
    • Lonato in Movimento
Re: Lista componenti compatibili con Joomla 1.5
« Risposta #15 il: 24 Gen 2008, 10:28:45 »
Sapete se c'è disponibile qualche buon contatore di visite per Joomla 1.5?

Offline kirner

  • Nuovo arrivato
  • *
  • Post: 12
    • Mostra profilo
Re: Lista componenti compatibili con Joomla 1.5
« Risposta #16 il: 25 Gen 2008, 13:34:53 »
!joomlacomment con la stable 1.5 non sembra funzionare:

Warning: Invalid argument supplied for foreach() in /var/www/joomla15/administrator/components/com_comment/library.comment.php on line 188

spero che qualcuno possa sistemarlo. :(

Grazie.

Offline thepisu

  • Appassionato
  • ***
  • Post: 369
  • Sesso: Maschio
  • .. still looking for ..
    • Mostra profilo
    • Blog di Stefano Bagnatica
Re: Lista componenti compatibili con Joomla 1.5
« Risposta #17 il: 25 Gen 2008, 18:38:01 »
!joomlacomment con la stable 1.5 non sembra funzionare:

Warning: Invalid argument supplied for foreach() in /var/www/joomla15/administrator/components/com_comment/library.comment.php on line 188

spero che qualcuno possa sistemarlo. :(

Grazie.
Ti riferisci al mio pacchetto allegato qui al 2° post?

Offline syndr0me

  • Esploratore
  • **
  • Post: 66
    • Mostra profilo
Re: Lista componenti compatibili con Joomla 1.5
« Risposta #18 il: 25 Gen 2008, 22:45:29 »
Per quanto riguarda fireboard è gia possibile utilizzare l'ultima versione stabile (la 1.04) con joomla 1.5?

Offline kirner

  • Nuovo arrivato
  • *
  • Post: 12
    • Mostra profilo
Re: Lista componenti compatibili con Joomla 1.5
« Risposta #19 il: 26 Gen 2008, 07:53:41 »
@thepisu

Buongiorno,
saranno gli occhi miei, ma non vedo piu' il pacchetto. Ad ogni modo si, vorrei capire se e' un problema solo mio o effetivamente va fixato.

Grazie per la disponibilita' e per il lavoro che fai :D

 

Host

Torna su